Jack2 1.9.12

Public Member Functions | List of all members
Jack::JackFFADOMidiReceiveQueue Class Reference
Inheritance diagram for Jack::JackFFADOMidiReceiveQueue:

## Public Member Functions
jack_midi_event_t * | DequeueEvent ()
void | ResetInputBuffer (uint32_t *input_buffer, jack_nframes_t length)

## Detailed Description

Definition at line 27 of file JackFFADOMidiReceiveQueue.h.

## Member Function Documentation

## ◆ DequeueEvent()

jack_midi_event_t * JackFFADOMidiReceiveQueue::DequeueEvent | ( |  | ) |
| virtual

Dequeues an event from the queue. Returns the event, or 0 if no events are available for reading.

An event dequeued from the read queue is guaranteed to be valid up until another event is dequeued, at which all bets are off. Make sure that you handle each event you dequeue before dequeueing the next event.

Implements Jack::JackMidiReadQueue.

Definition at line 31 of file JackFFADOMidiReceiveQueue.cpp.

The documentation for this class was generated from the following files:

- JackFFADOMidiReceiveQueue.h
- JackFFADOMidiReceiveQueue.cpp